*,
*::before,
*::after {
    box-sizing: border-box;
}
html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
    background-color: #fff;
}
hr {
    box-sizing: content-box;
    height: 0;
    overflow: visible;
}
.w-100 {
  width: 100%;
}
h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
    margin-bottom: 0.5rem;
}
h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  margin-bottom: 0.5rem;
  font-weight: 500;
  line-height: 1.2;
}

h1, .h1 {
  font-size: 2.5rem;
}

h2, .h2 {
  font-size: 2rem;
}

h3, .h3 {
  font-size: 1.75rem;
}

h4, .h4 {
  font-size: 1.5rem;
}

h5, .h5 {
  font-size: 1.25rem;
}

h6, .h6 {
  font-size: 1rem;
}
p {
    margin-top: 0;
    margin-bottom: 1rem;
}
.small, small {
  font-size: 80%;
}
.medium{
    font-size: 90%;
}
.strong{
  font-weight: 800;
}
.text-right{
  text-align: right;
}
.text-center{
  text-align: center;
}
.text-red{
  color: #e80606;
}
.text-green{
  color: #0c9c0c;
}
.text-warning{
  color: #ff7c29;
}
table {
  border-collapse: collapse;
}
caption {
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  color: #6c757d;
  text-align: left;
  caption-side: bottom;
}

th {
  text-align: inherit;
  text-align: -webkit-match-parent;
}
.table {
  width: 100%;
  margin-bottom: 1rem;
  color: #212529;
}

.table th,
.table td {
  padding: 0.75rem;
  vertical-align: top;
  border-top: 1px solid #dee2e6;
}

.table thead th {
  vertical-align: bottom;
  border-bottom: 2px solid #dee2e6;
}

.table tbody + tbody {
  border-top: 2px solid #dee2e6;
}

.table-sm th,
.table-sm td {
  padding: 0.3rem;
}

.table-bordered {
  border: 1px solid #dee2e6;
}

.table-bordered th,
.table-bordered td {
  border: 1px solid #dee2e6;
}

.table-bordered thead th,
.table-bordered thead td {
  border-bottom-width: 2px;
}
.m-0{
    margin: 0 !important;
}
.mr-1{
    margin-right: .25rem;
}
.p-0{
    padding: 0 !important;
}
.p-2 {
  padding: 0.5rem !important;
}
.p-3 {
  padding: 1rem !important;
}
.row {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-right: -15px;
  margin-left: -15px;
}
.no-gutters {
  margin-right: 0;
  margin-left: 0;
}
.col-12, .col-8, .col-6, .col-4, .col-2, .col-1{
  position: relative;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
}
.col-1 {
  -ms-flex: 0 0 8.33%;
  flex: 0 0 8.33%;
  max-width: 8.33%;
}
.col-2 {
  -ms-flex: 0 0 16.67%;
  flex: 0 0 16.67%;
  max-width: 16.67%;
}
.col-4 {
  -ms-flex: 0 0 33.3%;
  flex: 0 0 33.3%;
  max-width: 33.3%;
}
.col-6 {
  -ms-flex: 0 0 50%;
  flex: 0 0 50%;
  max-width: 50%;
}
.col-8 {
  -ms-flex: 0 0 66.7%;
  flex: 0 0 66.7%;
  max-width: 66.7%;
}
.col-12 {
  -ms-flex: 0 0 100%;
  flex: 0 0 100%;
  max-width: 100%;
}
.row-deck {
  margin: 0 -.25rem !important;
  row-gap: 0.5rem;
}
.row-deck > [class*=col-]{
  padding: 0 .25rem !important;
}
.card {
  position: relative;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0, 0, 0, 0.125);
  border-radius: 0.25rem;
}
.card-deck{
    width: 50px;
    padding: .25rem;
}
.card-deck-sm{
    width: 35px;
    padding: .15rem;
}
.card-deck + .card-deck{
    margin-left: 8px;
}
.card-deck-sm + .card-deck-sm{
    margin-left: 2px;
}
.card-img-bottom {
  -ms-flex-negative: 0;
  flex-shrink: 0;
  width: 100%;
}
.rounded {
  border-radius: 0.25rem !important;
}
.rounded-lg {
  border-radius: 0.3rem !important;
}
.border {
  border: 1px solid #dee2e6 !important;
}